/// multipass_delete(id)

// id - id of render pass.

// Delete given pass and free it's surface.

if (ds_map_exists(global.__multipass_map, argument0)) {
    var data = ds_map_find_value(global.__multipass_map, argument0);
    if (data >= 0) {
        var surface = ds_map_find_value(data, "surface");
        if (surface >= 0) {
            surface_free(surface);
        }
    }
    ds_map_delete(global.__multipass_map, argument0);
}

