/// multipass_surface(id)

// id - id of render pass.
// Return: surface index of given pass or -1 if pass does not have surface.

if (ds_map_exists(global.__multipass_map, argument0)) {
    var data = ds_map_find_value(global.__multipass_map, argument0);
    if (data >= 0) {
        return ds_map_find_value(data, "surface");
    }
}

return -1;

