attribute vec3 in_Position;
attribute vec2 in_TextureCoord;

varying vec2 v_Texcoord;

void main()
{
    vec4 pos = vec4(in_Position.xyz, 1.0);
    
    v_Texcoord = in_TextureCoord;
    gl_Position = gm_Matrices[MATRIX_WORLD_VIEW_PROJECTION] * pos;
}

//######################_==_YOYO_SHADER_MARKER_==_######################@~



varying vec2 v_Texcoord;

void main()
{
    float alpha = texture2D(gm_BaseTexture, v_Texcoord).a;

    gl_FragColor = vec4(alpha, alpha, alpha, 1.0);
}

